﻿@using System.Web.UI.WebControls;
@using Toyota.Common.Web.Html;
@using Toyota.Common.Web.MVC;
@using Toyota.Common.Web.Html.Helper;
@using DevExpress.Web;
@using DevExpress.Web.Mvc;
@using Toyota.Common.Web.Credential;

@model Toyota.Common.Web.MVC.ModelHolder

<table cellpadding="0" cellspacing="0" style="width:30%; height:100%; padding: 10px;">
    <tr style="height: 20px;">
        <td style="width: 65px; vertical-align: top; padding-top: 10px">
            @Html.Label("Upload File")
        </td>
        <td colspan="2" style="padding-top: 5px">
@using (Html.BeginForm("DownloadCallback", "Keihen", FormMethod.Post, new { enctype = "multipart/form-data" }))
            {
                @Html.DevExpress().UploadControl(
                    upload =>
                    {
                        upload.Name = "FileUpload";

                        upload.CallbackRouteValues = new
                        {
                            Controller = "Keihen",
                            Action = "OnUploadCallbackRouteValues"
                        };

                        upload.Width = Unit.Percentage(100);
                        //upload.ShowProgressPanel = true;
                        //upload.UploadMode = UploadControlUploadMode.Advanced;

                        upload.ValidationSettings.MaxFileSize = 10000000;
                        upload.ValidationSettings.MaxFileSizeErrorText = "The size of file uploaded larger than allowed";
                        upload.ValidationSettings.AllowedFileExtensions = new String[] { ".xls" };
                        upload.ValidationSettings.ShowErrors = true;

                        //upload.ClientSideEvents.UploadingProgressChanged = "OnSFPFFFileUploadUploadingProgressChanged";
                        //upload.ClientSideEvents.FileUploadStart = "OnSFPFFFileUploadFileUploadStart";
                        upload.ClientSideEvents.FileUploadComplete = "OnUploadComplete";
                        //upload.ClientSideEvents.FilesUploadComplete = "OnSFPFFFilesUploadFileUploadComplete";

                        upload.CancelButton.Text = "";
                        upload.CancelButtonSpacing = Unit.Pixel(0);
                    }).GetHtml()
            }
        </td>
        <td colspan="3" align="right" style="vertical-align:bottom">
            @Html.DevExpress().Button(
                    setting =>
                    {
                        setting.Name = "UploadButton";
                        setting.Text = "Upload";
                        setting.Width = Unit.Pixel(70);
                        setting.ClientSideEvents.Click = "UploadData";
                    }

                ).GetHtml()
        </td>
    </tr>
    <tr style="height:5px"></tr> @* row spacing *@
    <tr style="height: 20px;">
        <td></td>
        <td>
            @Html.DevExpress().Label(
                setting =>
                {
                    setting.Text = "Download Template";
                }
            ).GetHtml()
            @Html.DevExpress().HyperLink(
                    setting =>
                    {
                        setting.Name = "DownloadTemplateLink";
                        setting.Properties.Text = "Here";
                        setting.Properties.Style.Font.Underline = true;
                        setting.Properties.ClientSideEvents.Click = "DownloadKeihenUploadTemplate";
                        setting.ControlStyle.Cursor = "pointer";
                        setting.ControlStyle.VerticalAlign = VerticalAlign.Top;
                    }
                ).GetHtml()
        </td>
        <td></td>
    </tr>
    <tr></tr> @* row spacing *@
</table>

<div style="margin-top:20px; margin-right:4px; margin-left:4px;">
    @Html.Action("ReloadUploadKeihenGrid", "Keihen")
</div>

